[![Documentation Status](https://readthedocs.org/projects/biobb-io/badge/?version=latest)](https://biobb-io.readthedocs.io/en/latest/?badge=latest)

# biobb_io

### Introduction
Biobb_io is the Biobb module collection to fetch data to be consumed by the
rest of the Biobb building blocks.
Biobb (BioExcel building blocks) packages are Python building blocks that
create new layer of compatibility and interoperability over popular
bioinformatics tools.
The latest documentation of this package can be found in our readthedocs site:
[latest API documentation](http://biobb_io.readthedocs.io/en/latest/).

### Version
v0.1.4 February 2019 Release

### Installation
Using PIP:
* Installation:
        pip install "biobb_io>=0.1.4"
* Usage: [Python API documentation](https://biobb-io.readthedocs.io/en/latest/modules.html)

Using ANACONDA:
* Installation:


        conda install -c bioconda "biobb_io>=0.1.4"


* Usage: With conda installation BioBBs can be used with the [Python API documentation](https://biobb-io.readthedocs.io/en/latest/modules.html) and the [Command Line documentation](https://biobb-io.readthedocs.io/en/latest/command_line.html)

Using DOCKER:
* Installation:


        docker pull mmbirb/biobb_io:0.1.4


* Usage:


        docker run mmbirb/biobb_io:0.1.4 <command>


The command list and specification can be found at the [Command Line documentation](https://biobb-io.readthedocs.io/en/latest/command_line.html).

Using SINGULARITY:
* Installation:


        singularity pull mmbirb/biobb_io:0.1.4


* Usage:


        singularity exec mmbirb/biobb_io:0.1.4 <command>


The command list and specification can be found at the [Command Line documentation](https://biobb-io.readthedocs.io/en/latest/command_line.html).


### Copyright & Licensing
This software has been developed in the MMB group (http://mmb.irbbarcelona.org) at the
BSC (http://www.bsc.es/) & IRB (https://www.irbbarcelona.org/) for the European BioExcel (http://bioexcel.eu/), funded by the European Commission
(EU H2020 [675728](http://cordis.europa.eu/projects/675728)).

* (c) 2015-2019 [Barcelona Supercomputing Center](https://www.bsc.es/)
* (c) 2015-2019 [Institute for Research in Biomedicine](https://www.irbbarcelona.org/)

Licensed under the
[Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0), see the file
[LICENSE](LICENSE) for details.

![](https://bioexcel.eu/wp-content/uploads/2015/12/Bioexcell_logo_1080px_transp.png "Bioexcel")
